import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientWhereInputObjectSchema as PatientWhereInputObjectSchema } from './PatientWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => PatientWhereInputObjectSchema).optional().nullable(),
  isNot: z.lazy(() => PatientWhereInputObjectSchema).optional().nullable()
}).strict();
export const PatientNullableScalarRelationFilterObjectSchema: z.ZodType<Prisma.PatientNullableScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.PatientNullableScalarRelationFilter>;
export const PatientNullableScalarRelationFilterObjectZodSchema = makeSchema();
